/*
 * Here is where system computed values get stored.
 * These values should only change when the target compile platform changes.
 */

#ifndef __vtkSlicerConfigure_h
#define __vtkSlicerConfigure_h

#define Slicer_ORGANIZATION_DOMAIN "www.na-mic.org"
#define Slicer_ORGANIZATION_NAME "NA-MIC"

#define SLICER_REVISION_SPECIFIC_USER_SETTINGS_FILEBASENAME ""

#define Slicer_DEFAULT_HOME_MODULE "Welcome"
#define Slicer_DEFAULT_FAVORITE_MODULES "Data, Volumes, Models, Transforms, Markups, SegmentEditor"

#define Slicer_DISCLAIMER_AT_STARTUP "Thank you for using %1!<br><br>This software is not intended for clinical use."

#if defined(WIN32) && !defined(VTKSLICER_STATIC)
#pragma warning ( disable : 4275 )
#endif

/* #undef CMAKE_WORDS_BIGENDIAN */
#ifdef CMAKE_WORDS_BIGENDIAN
  #define WORDS_BIGENDIAN
#else
  #define WORDS_LITTLEENDIAN
#endif

#define BUILD_SHARED_LIBS
#ifndef BUILD_SHARED_LIBS
#define VTKSLICER_STATIC
#endif

/* #undef Slicer_STORE_SETTINGS_IN_APPLICATION_HOME_DIR */

/* #undef Slicer_USE_IGSTK */
/* #undef Slicer_USE_NAVITRACK */
#define Slicer_USE_NUMPY
#define Slicer_USE_PYTHONQT
#define Slicer_USE_PYTHONQT_WITH_OPENSSL
/* #undef Slicer_USE_QtTesting */
/* #undef Slicer_USE_OPENTRACKER */

#define Slicer_HAVE_QT5
/* #undef Slicer_HAVE_WEBKIT_SUPPORT */

#define VTKSLICER_CONFIGURATION_TYPES ""
/* #undef Slicer_BUILD_WIN32_CONSOLE */

#define Slicer_MAIN_PROJECT_APPLICATION_NAME "Slicer"
#define Slicer_BIN_DIR "bin"
#define Slicer_LIB_DIR "lib/Slicer-4.11"
#define Slicer_INCLUDE_DIR "include/Slicer-4.11"
#define Slicer_SHARE_DIR "share/Slicer-4.11"
#define Slicer_ITKFACTORIES_DIR "lib/Slicer-4.11/ITKFactories"

#define Slicer_QtPlugins_DIR "lib/QtPlugins"

#define Slicer_BUNDLE_LOCATION "Slicer.app/Contents"

#define Slicer_BUILD_EXTENSIONMANAGER_SUPPORT
#ifdef Slicer_BUILD_EXTENSIONMANAGER_SUPPORT
#  define Slicer_EXTENSIONS_DIRBASENAME "Extensions"
#  define Slicer_EXTENSIONS_DIRNAME "Extensions-0"
#endif

#define Slicer_BUILD_DICOM_SUPPORT
#define Slicer_BUILD_DIFFUSION_SUPPORT
#define Slicer_BUILD_I18N_SUPPORT
/* #undef Slicer_BUILD_PARAMETERSERIALIZER_SUPPORT */
#define Slicer_BUILD_WEBENGINE_SUPPORT

#define Slicer_BUILD_CLI_SUPPORT
#define Slicer_BUILD_CLI
#define Slicer_CLIMODULES_SUBDIR "cli-modules"
#define Slicer_CLIMODULES_BIN_DIR "lib/Slicer-4.11/cli-modules"
#define Slicer_CLIMODULES_LIB_DIR "lib/Slicer-4.11/cli-modules"
#define Slicer_CLIMODULES_SHARE_DIR "share/Slicer-4.11/cli-modules"

#define Slicer_CLI_PREFER_EXECUTABLE_DEFAULT true

#define Slicer_USE_PYTHONQT
#ifdef Slicer_USE_PYTHONQT
#  define Slicer_PYTHON_VERSION_DOT "3.9"
#  define Slicer_PYTHON_VERSION "39"
#  define PYTHON_SITE_PACKAGES_SUBDIR ""
#endif //Slicer_USE_PYTHONQT

#define Slicer_BUILD_QTLOADABLEMODULES
#define Slicer_QTLOADABLEMODULES_SUBDIR "qt-loadable-modules"
#define Slicer_QTLOADABLEMODULES_BIN_DIR "lib/Slicer-4.11/qt-loadable-modules"
#define Slicer_QTLOADABLEMODULES_LIB_DIR "lib/Slicer-4.11/qt-loadable-modules"
#define Slicer_QTLOADABLEMODULES_INCLUDE_DIR "include/Slicer-4.11/qt-loadable-modules"
#define Slicer_QTLOADABLEMODULES_SHARE_DIR "share/Slicer-4.11/qt-loadable-modules"
#ifdef Slicer_USE_PYTHONQT
#  define Slicer_QTLOADABLEMODULES_PYTHON_LIB_DIR "lib/Slicer-4.11/qt-loadable-modules/Python"
#endif

#define Slicer_BUILD_QTSCRIPTEDMODULES
#ifdef Slicer_USE_PYTHONQT
#  define Slicer_QTSCRIPTEDMODULES_SUBDIR "qt-scripted-modules"
#  define Slicer_QTSCRIPTEDMODULES_BIN_DIR "lib/Slicer-4.11/qt-scripted-modules"
#  define Slicer_QTSCRIPTEDMODULES_LIB_DIR "lib/Slicer-4.11/qt-scripted-modules"
#  define Slicer_QTSCRIPTEDMODULES_INCLUDE_DIR "include/Slicer-4.11/qt-scripted-modules"
#  define Slicer_QTSCRIPTEDMODULES_SHARE_DIR "share/Slicer-4.11/qt-scripted-modules"
#endif //Slicer_USE_PYTHONQT

// ThirdParty: Corresponds to superbuild projects built
// in Slicer extension.
#define Slicer_THIRDPARTY_BIN_DIR "bin"
#define Slicer_THIRDPARTY_LIB_DIR "lib/Slicer-4.11"

/* #undef Slicer_VTK_RENDERING_USE_OpenGL_BACKEND */
#define Slicer_VTK_RENDERING_USE_OpenGL2_BACKEND
#define Slicer_VTK_USE_QVTKOPENGLWIDGET

// Library sub-directory - The following macros define directories only valid for a given build tree.
#define VTK_DIR "/usr/lib64/cmake/vtk-9.0"
#define CTK_DIR "/usr/lib64/cmake/CTK"
//#define Teem_DIR "/usr/lib64/cmake/Teem"

#define Slicer_QM_DIR "bin/Translations"
#define Slicer_QM_OUTPUT_DIRS ""
#define Slicer_LANGUAGES "fr"

#endif //__vtkSlicerConfigure_h
