/*=auto=========================================================================

 Portions (c) Copyright 2005 Brigham and Women's Hospital (BWH)
 All Rights Reserved.

 See COPYRIGHT.txt
 or http://www.slicer.org/copyright/copyright.txt for details.

 Program:   3D Slicer

=========================================================================auto=*/

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Slicer API.  It exists purely as an
// implementation detail.  This header file may change from version to
// version without notice, or even be removed.
//
// We mean it.
//

#ifndef __vtkSlicerVersionConfigureInternal_h
#define __vtkSlicerVersionConfigureInternal_h

//-----------------------------------------------------------------------------
/// \def Slicer_VERSION_MAJOR
/// Major version number of this project source and binaries.
#define Slicer_VERSION_MAJOR 4

/// \def Slicer_VERSION_MINOR
/// Minor version number of this project source and binaries.
#define Slicer_VERSION_MINOR 11

/// \def Slicer_VERSION_PATCH
/// Patch version number of this project source and binaries.
#define Slicer_VERSION_PATCH 20210226

//-----------------------------------------------------------------------------
/// \def Slicer_MAIN_PROJECT_VERSION_MAJOR
#define Slicer_MAIN_PROJECT_VERSION_MAJOR 4

/// \def Slicer_MAIN_PROJECT_VERSION_MINOR
#define Slicer_MAIN_PROJECT_VERSION_MINOR 11

/// \def Slicer_MAIN_PROJECT_VERSION_PATCH
#define Slicer_MAIN_PROJECT_VERSION_PATCH 20210226

//-----------------------------------------------------------------------------
/// \def Slicer_OS_LINUX_NAME
/// String describing Linux operating system.
#define Slicer_OS_LINUX_NAME "linux"

/// \def Slicer_OS_MAC_NAME
/// String describing macOS operating system.
#define Slicer_OS_MAC_NAME "macosx"

/// \def Slicer_OS_WIN_NAME
/// String describing Windows operating system.
#define Slicer_OS_WIN_NAME "win"

/// \def Slicer_ARCHITECTURE
/// \brief String describing the architecture associated with this project binaries.
#define Slicer_ARCHITECTURE "amd64"

/// \def Slicer_OS
/// \brief String describing the operating system associated with this project binaries.
#define Slicer_OS "linux"

#endif // __vtkSlicerVersionConfigureInternal_h
